Subject: Re: [PATCH 0/5] refs: remove functions without ref store

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 May 2024 10:24:00 -0700

Patrick Steinhardt <[email-masked]> writes:

> It is quite likely that this patch series will impact in-flight patch
> series. I'd be quite happy to drop the last patch that removes the old
> interfaces to make this a bit less painful.

The last step could replace these deprecated-to-be-removed functions
with a stub that BUG()s out [*], with a comment to instruct how a
caller can be rewritten to use the corresponding refs_ variant with
a call to get_main_ref_store(the_repository) as the first parameter,
which would help out of tree and in-flight series to migrate.

[Footnote]

 * The exact mechanism to cause an attempted use of an old function
   fail is immaterial.  We can remove the definition of these
   functions while retaining the old implementation as comments, or
   wrap them in an #ifdef USE_REF_STORE_LESS_FUNCTIONS .. #endif
   pair _without_ defining USE_REF_STORE_LESS_FUNCTIONS, purely for
   the documentation value to help us migration.